
;Model Desc: base model run 1 additive residual error
;Project Name: example1
;Project ID: GM00-001

$PROB RUN# 115 (PHENOBARBITAL POPULATION PK MODEL)
$DATA cpsex_missingsex.csv
$INPUT C ID TIME AMT WT APGR DV=Z EVID MDV SEX FLAG
$EST MAXEVAL=9999 SIG=6 PRINT=20 NOABORT
METHOD=COND LAPLACE
MSFO=mixedsex.MSF
$COV

$THETA
   (0,0.4,1) ; PFEM
   (0, 0.005) ; POP_CL
   (0, 1.5)   ; POP_V
   (0,1.4) ; FFEMCL
   (0,2.5) ; SD

$OMEGA
 0.16 ; PPV_CL
 0.16 ; PPV_V

$SIGMA
 1 FIX ; EPS1

$CONTR DATA=(FLAG)
$SUBROUTINE ADVAN=1 TRANS1 
CONTR=../contr.for
CCONTR=../ccontr.for

$MIX
NSPOP=2
P(1)=THETA(1)
P(2)=1-THETA(1)
$PK

   IF (SEX.GE.0) THEN ; not missing
       ISEX=SEX
   ELSE
      IF (MIXNUM.EQ.1) THEN ; female
         ISEX=0
      ELSE
         ISEX=1
      ENDIF
   ENDIF

   TVCL=THETA(2)*THETA(4)**ISEX
   CL=TVCL*EXP(ETA(1))
   TVV=THETA(3)
   V=TVV*EXP(ETA(2))
   K=CL/V
   S1=V

TAD=TIME ; for a single dose only
SID=ID

$ERROR (OBS)
   IPRED=F
   SD=THETA(5)
   IF (FLAG.EQ.1) THEN
      Y=IPRED + SD*ERR(1)
   ENDIF
   IF (FLAG.EQ.2.AND.DV.EQ.0) THEN
      Y=THETA(1)
   ENDIF
   IF (FLAG.EQ.2.AND.DV.EQ.1) THEN
      Y=1-THETA(1)
   ENDIF

$TABLE ID SID TIME TAD IPRED CL ETA(1) SEX FLAG
       V ETA(2) WT APGR NOPRINT ONEHEADER FILE=115.TAB
